API ReferenceOverview
Get questions asked about a certain added symptom
GET
/v1/chatbot/overview/symptoms/{symptomId}/questionsGet the questions asked about a certain added symptom.
Authorization
BearerToken AuthorizationBearer <token>
Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Path Parameters
symptomId*string
Id of the symptom to get questions for.
Header Parameters
check-id*string
The ongoing check's identifier.
language*string
The expected language of the response.
Response Body
application/json
curl -X GET "https://example.com/v1/chatbot/overview/symptoms/5e63f95e-ef3b-42ce-9027-ff6e021e19ef/questions" \ -H "authorization: Bearer <token>" \ -H "check-id: 5e93d7a1-f240-43b5-8937-33419ea9cb6a" \ -H "language: en"[ { "detailedTypeData": { "linkedSymptom": { "id": "5e63f95e-ef3b-42ce-9027-ff6e021e19ef", "name": "Abdominal pain" }, "gender": "MALE" }, "id": "030b4ef8-0a63-4f4c-bf3b-28db1f08e6e8", "text": "How severe is your abdominal pain?", "isSkippable": true, "isAnswered": true, "type": "SINGLE_SELECT", "detailedType": "SCALE", "checkStateInfo": { "detailedState": "MAIN_SYMPTOM_SURVEY", "state": "MAIN_SYMPTOM" }, "options": { "count": 3, "values": [ { "id": "a9e55b1a-dc16-48d9-bcd4-9e2d5b114a68", "text": "Light", "type": "SURVEY_ANSWER", "isSelected": false, "from": 1, "to": 3 }, { "id": "db907812-aab1-4e29-ba51-65157761a712", "text": "Strong", "type": "SURVEY_ANSWER", "isSelected": true, "from": 3, "to": 7 }, { "id": "112a356d-fd3b-4718-aaf4-6d3e730d2c2a", "text": "Unbearable", "type": "SURVEY_ANSWER", "isSelected": false, "from": 7, "to": 10 } ] } }, { "detailedTypeData": { "linkedSymptom": { "id": "5e63f95e-ef3b-42ce-9027-ff6e021e19ef", "name": "Abdominal pain" }, "gender": "MALE" }, "id": "847074a7-2da6-410e-983f-0815fd0232b6", "text": "Will the pain be better if you lean forward?", "isSkippable": true, "isAnswered": true, "type": "SINGLE_SELECT", "detailedType": "SYMPTOM_SURVEY", "checkStateInfo": { "detailedState": "MAIN_SYMPTOM_SURVEY", "state": "MAIN_SYMPTOM" }, "options": { "count": 2, "values": [ { "id": "327912a3-2eb2-42bd-9701-b1715bdecdff", "text": "Yes", "type": "SURVEY_ANSWER", "isSelected": true }, { "id": "d97dfb72-5890-4e6b-935d-9b94304a9671", "text": "No", "type": "SURVEY_ANSWER", "isSelected": false } ] } }]Last updated on